<?php
/**
 * Anwiki is a multilingual content management system <http://www.anwiki.com>
 * Copyright (C) 2007-2008 Antoine Walter <http://www.anw.fr>
 * 
 * Anwiki is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 * 
 * Anwiki is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Anwiki.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Locking pages for avoiding edition collisions.
 * @package Anwiki
 * @version $Id: class_lock.php,v 1.4 2008-09-11 22:42:00 antoine-cvs Exp $
 * @copyright 2007-2008 Antoine Walter
 * @license http://www.gnu.org/copyleft/gpl.html GNU Public License 3
 */

class AnwLock
{
	private $oPage;
	private $oUser;
	private $nTime;
	private $nTimeLast;
	private $nType;
	
	const TYPE_PAGEONLY = 1;
	const TYPE_PAGEGROUP = 2;
	
	function __construct($oPage, $oUser, $nTime, $nTimeLast, $nType)
	{
		$this->oPage = $oPage;
		$this->oUser = $oUser;
		$this->nTime = $nTime;
		$this->nTimeLast = $nTimeLast;
		$this->nType = $nType;
	}
	
	function setTimeLast($nTimeLast)
	{
		$this->nTimeLast = $nTimeLast;
	}
	
	function getLockPage()
	{
		return $this->oPage;
	}
	function getLockUser()
	{
		return $this->oUser;
	}
	function getLockTime()
	{
		return $this->nTime;
	}
	function getLockTimeLast()
	{
		return $this->nTimeLast;
	}
	function getLockType()
	{
		return $this->nType;
	}
}

?>